Name:      fcitx-qt5
Summary:   Fcitx IM module for Qt5
Version:   1.1.0
Release:   %mkrel 2
Group:     System/Internationalization
# The entire source code is GPLv2+ except
# platforminputcontext/keyserver_x11.h which is LGPLv2+
License:        GPLv2+ and LGPLv2+
URL:            https://github.com/fcitx/fcitx-qt5
Source0:        http://download.fcitx-im.org/%{name}/%{name}-%{version}.tar.xz
BuildRequires:  cmake
BuildRequires:  fcitx-devel
BuildRequires:  qt5dbus-devel
BuildRequires:  libxkbcommon-devel
BuildRequires:  extra-cmake-modules
BuildRequires:	qt5widgets-devel

%description
This package provides Fcitx Qt5 input context.

%package devel
Summary:        Development files for fcitx-qt5
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}-%{release}
Requires:       cmake

%description devel
The %{name}-devel package contains libraries and header files necessary for
developing programs using fcitx-qt5 libraries.

%prep
%setup -q -n %{name}-%{version}

%build
%cmake
%make

%install
%make_install -C build

%files
%doc README COPYING 
%{_libdir}/libFcitxQt5DBusAddons.so.*
%{_libdir}/libFcitxQt5WidgetsAddons.so.*
%{_libdir}/fcitx/libexec/fcitx-qt5-gui-wrapper
%{_qt5_plugindir}/platforminputcontexts/libfcitxplatforminputcontextplugin.so

%files devel
%{_includedir}/*
%{_libdir}/cmake/*
%{_libdir}/libFcitxQt5DBusAddons.so
%{_libdir}/libFcitxQt5WidgetsAddons.so


%changelog
* Mon Feb 13 2017 neoclust <neoclust> 1.1.0-2.mga6
+ Revision: 1085969
- Rebuild for ARM

* Sat Feb 11 2017 yochenhsieh <yochenhsieh> 1.1.0-1.mga6
+ Revision: 1085693
- New version 1.1.0

* Tue Jan 03 2017 yochenhsieh <yochenhsieh> 1.0.6-1.mga6
+ Revision: 1079893
- New version 1.0.6

* Sun May 08 2016 yochenhsieh <yochenhsieh> 1.0.5-7.mga6
+ Revision: 1010518
- file section re-organize for better dependency

* Sat May 07 2016 yochenhsieh <yochenhsieh> 1.0.5-6.mga6
+ Revision: 1010296
- move libFcitxQt5widgets to devel package.

* Fri May 06 2016 yochenhsieh <yochenhsieh> 1.0.5-5.mga6
+ Revision: 1009948
- fix -devel package group.
- imported package fcitx-qt5

